Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLObjectImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl

All Implemented Interfaces:
  Cloneable, OWLObject, Serializable

Direct Known Subclasses:
  OWLAnnotationInstanceImpl, OWLClassAxiomImpl, OWLConcreteDataImpl, OWLConcreteDataTypeImpl, OWLDataEnumerationImpl, OWLDataRestrictionImpl, OWLEnumerationImpl, OWLFrameImpl, OWLIndividualAxiomImpl, OWLNamedObjectImpl, OWLNaryBooleanDescriptionImpl, OWLNotImpl, OWLObjectRestrictionImpl, OWLPropertyAxiomImpl

public abstract class OWLObjectImpl
extends Object
implements Cloneable, Serializable, OWLObject

A top level class for the kinds of things that are found in Ontologies. Each OWLObject knows about the `OWLDataFactory` that was used to create it. OWLObjects also accept visits from `OWLObjectVisitor`. The use of the Visitor pattern (see Design Patterns, Gamma et. al. p.331) allows us to extend the functionality of the data structures without having to alter the underlying implementation.

Version:
  $Id: OWLObjectImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLObjectImpl(OWLDataFactoryImpl factory)`

Method Summary
`abstract void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`Object` | `clone()`
`Set` | `getAnnotations()` Returns annotations on the object.
`Set` | `getAnnotations(OWLOntology o)` Returns the annotatsion in the given ontology.
`OWLObject[]` | `getContainedObjects()` Return any objects which are contained within this object.
`Map` | `getMetadata()` Return the generic metadata structure.
`OWLConnection` | `getOWLConnection()` Returns the Connection of this object
`OWLDataFactory` | `getOWLDataFactory()` Returns an OWLDataFactory

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLObjectImpl

    public OWLObjectImpl(OWLDataFactoryImpl factory)

Method Detail

### getContainedObjects

    public OWLObject[] getContainedObjects()

  Return any objects which are contained within this object. By contained this means, any of the objects which can be reached from any of more specific methods in the interface. The ordering of the objects in the array is undefined. A null return represents

  Specified by:
    `getContainedObjects` in interface `OWLObject`
  Returns:
    an `OWLObject[]`, or null.

### getOWLDataFactory

    public OWLDataFactory getOWLDataFactory()

  Returns an OWLDataFactory

  Specified by:
    `getOWLDataFactory` in interface `OWLObject`

### clone

    public Object clone()

  Specified by:
    `clone` in interface `OWLObject`
  Overrides:
    `clone` in class `Object`

### accept

    public abstract void accept(OWLObjectVisitor visitor)
                         throws OWLException

  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
    `OWLException`

### getMetadata

    public Map getMetadata()

  Return the generic metadata structure.

  Specified by:
    `getMetadata` in interface `OWLObject`

### getOWLConnection

    public OWLConnection getOWLConnection()

  Description copied from interface: `OWLObject`
  Returns the Connection of this object

  Specified by:
    `getOWLConnection` in interface `OWLObject`

### getAnnotations

    public Set getAnnotations(OWLOntology o)

  Returns the annotatsion in the given ontology.

  Specified by:
    `getAnnotations` in interface `OWLObject`

### getAnnotations

    public Set getAnnotations()

  Returns annotations on the object.

  Specified by:
    `getAnnotations` in interface `OWLObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb